GIT-CHERRY(1)

NAME
git-cherry - Find commits not merged upstream

SYNOPSIS
git-cherry [-v] <upstream> [<head>]

DESCRIPTION
The changeset (or "diff") of each commit between the fork-point and <head> is compared against each commit between the fork-point and <upstream>.

Every commit with a changeset that doesn't exist in the other branch has its id (sha1) reported, prefixed by a symbol. Those existing only in the <upstream> branch are prefixed with a minus (-) sign, and those that only exist in the <head> branch are prefixed with a plus (+) symbol.

Because git-cherry compares the changeset rather than the commit id (sha1), you can use git-cherry to find out if a commit you made locally has been applied <upstream> under a different commit id. For example, this will happen if you're feeding patches <upstream> via email rather than pushing or pulling commits directly.

OPTIONS

-v  Verbose.

<upstream>
    Upstream branch to compare against.

<head>
    Working branch; defaults to HEAD.

AUTHOR
Written by Junio C Hamano <junkio@cox.net>

DOCUMENTATION
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT
Part of the git(7) suite